import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  channel: SortOrderSchema.optional(),
  direction: SortOrderSchema.optional(),
  status: SortOrderSchema.optional(),
  body: SortOrderSchema.optional(),
  callDuration: SortOrderSchema.optional(),
  twilioSid: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional()
}).strict();
export const CommunicationMinOrderByAggregateInputObjectSchema: z.ZodType<Prisma.CommunicationMinOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CommunicationMinOrderByAggregateInput>;
export const CommunicationMinOrderByAggregateInputObjectZodSchema = makeSchema();
